include "root" {
  path = find_in_parent_folders()
}

terraform {
  source = "tfr:///terraform-aws-modules/vpc/aws//.?version=3.12.0"
}

locals {
  config_vars = read_terragrunt_config(find_in_parent_folders("config.hcl"))
}

inputs = {
  name = local.config_vars.locals.vpc_name
  cidr = local.config_vars.locals.cidr

  azs             = local.config_vars.locals.azs
  private_subnets = local.config_vars.locals.private_subnets
  public_subnets  = local.config_vars.locals.public_subnets

  enable_nat_gateway = local.config_vars.locals.enable_nat_gateway
  enable_vpn_gateway = local.config_vars.locals.enable_vpn_gateway

  private_subnet_tags = {
    "kubernetes.io/role/internal-elb" = 1
  }

  public_subnet_tags = {
    "kubernetes.io/role/elb" = 1
  }

  tags = {
    environment = local.config_vars.locals.environment
    repository  = local.config_vars.locals.repository
    source      = local.config_vars.locals.source
  }
}
