resource "helm_release" "aws_load_balancer_controller" {
  name             = "aws-load-balancer-controller"
  repository       = "https://aws.github.io/eks-charts"
  chart            = "aws-load-balancer-controller"
  version          = "1.4.2"
  namespace        = var.namespace
  create_namespace = var.create_namespace

  values = [
    templatefile("values.yaml", {
      cluster_name         = var.cluster_id
      service_account_name = var.service_account_name
      iam_role_arn         = var.iam_role_arn
    })
  ]
}
