resource "helm_release" "external_secrets" {
  name             = "external-secrets"
  repository       = "https://charts.external-secrets.io"
  chart            = "external-secrets"
  version          = "0.5.2"
  namespace        = var.namespace
  create_namespace = var.create_namespace

  set {
    name  = "installCRDs"
    value = true
  }

  set {
    name  = "webhook.create"
    value = true
  }

  set {
    name  = "certController.create"
    value = true
  }

  set {
    name  = "webhook.serviceMonitor.enabled"
    value = var.service_monitor
  }

  set {
    name  = "webhook.serviceMonitor.additionalLabels.release"
    value = "prometheus-community"
  }

  set {
    name  = "serviceMonitor.enabled"
    value = var.service_monitor
  }

  set {
    name  = "serviceMonitor.additionalLabels.release"
    value = "prometheus-community"
  }

  set {
    name  = "certController.serviceMonitor.enabled"
    value = var.service_monitor
  }

  set {
    name  = "certController.serviceMonitor.additionalLabels.release"
    value = "prometheus-community"
  }
}
