variable "cluster_id" {
  type        = string
  description = "The name/id of the EKS cluster. Will block on cluster creation until the cluster is really ready"
}

variable "cluster_endpoint" {
  type        = string
  description = "Endpoint for your Kubernetes API server"
}

variable "cluster_certificate_authority_data" {
  type        = string
  description = "Base64 encoded certificate data required to communicate with the cluster"
}

variable "namespace" {
  default     = "external-secrets"
  type        = string
  description = "The name of the namespace where the operator will be deployed"
}

variable "create_namespace" {
  default     = true
  type        = bool
  description = "If true, the namespace is create if it does not exists"
}

variable "service_monitor" {
  type        = bool
  default     = false
  description = "If true, the ServiceMonitor is created for the monitoring based on Prometheus operator"
}
